PDA

View Full Version : example Quaternion run error



creatxr
10-20-2013, 10:59 PM
i've success compiled the example code: Quaternion.
it runs error: glsl 1.5 is not supported. supported version are: 1.00es, 1.10, 1.20, and 1.30

os: ubuntu 13.04

what's the matter?
or how can i modify the code to use glsl 1.30?

thanks

rombust
10-21-2013, 09:12 PM
It can be fixed, instead of using uniform buffers, use the individual set_uniform's() instead.

In the example, they are uniform buffers because the clanD3D target (Direct3D) currently does not support individual set_uniform's. (The example supports clanD3D and clanGL display target)